STOREBACKUPSEARCH(1)

NAME
storeBackupSearch.pl - locates different versions of a file saved with storeBackup.pl.

SYNOPSIS
        storeBackupSearch.pl -g configFile

        storeBackupSearch.pl -b backupDirDir [-f configFile]
              [-s rule]  [--absPath] [-w file] [--parJobs number]
              [-d level] [--once] [--print] [-T tmpdir] [backupRoot . . .]

DESCRIPTION
You need some basic understanding of linux and perl to use it.

OPTIONS

--generate, -g
        generate a config file

--print
        print configuration read from configuration file and stop

--configFile, -f
        configuration file (instead of or
        additionally to parameters)

--backupDir -b
                        top level directory of all backups

--searchRule, -s
                        rule for searching
                        see README: 'including / excluding files and directories'

--absPath, -a
        write result with absolute path names

--writeToFile, -w
        write search result also to file

--parJobs, -p
        number of parallel jobs, default = choosen automaticly

--debug, -d
        debug level, possible values are 0, 1, 2, default = 0

--once, -o
        show every file found only once (depending on md5 sum)

--tmpdir, -T
        directory for temporary files, default is </tmp>

backupRoot
        Root directories of backups where to search relative
        to backupDir. If no directories are specified, all
        backups below backupDir are choosen.

COPYRIGHT
Copyright (c) 2008-2014 by Heinz-Josef Claes (see README). Published under the GNU General Public License v3 or any later version